Subject: Re: [sfc] [Technical Errata Reported] RFC7498 (5336)

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 26 Apr 2018 11:16:30 -0400

This errata seems to be simply wrong.
It may be based on a misreading by the submitted that assumed the SFC 
Path identification is part of the metadata.  Even in the problem 
statement, that was not the intent.

Net recommendation: Reject.

Yours,
Joel

On 4/26/18 11:06 AM, RFC Errata System wrote:
> The following errata report has been submitted for RFC7498,
> "Problem Statement for Service Function Chaining".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5336
> 
> --------------------------------------
> Type: Technical
> Reported by: Boyuan Yan <[email-masked]>
> 
> Section: 3.3
> 
> Original Text
> -------------
>     The SFC encapsulation also carries data-plane metadata that provides
>     the ability to exchange information between logical classification
>     points and service functions (and vice versa) and between service
>     functions.  Metadata is not used as forwarding information to deliver
>     packets along the service overlay.
> 
> 
> Corrected Text
> --------------
>     The SFC encapsulation also carries data-plane metadata that provides
>     the ability to exchange information between logical classification
>     points and service functions (and vice versa) and between service
>     functions.  Metadata is used as forwarding information to deliver
>     packets along the service overlay.
> 
> 
> Notes
> -----
> Error occurs in the last sentence of 2nd paragraph in Section 3.3. Metadata should be used as forwarding information to deliver packets along the service overlay.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
> 
> --------------------------------------
> RFC7498 (draft-ietf-sfc-problem-statement-13)
> --------------------------------------
> Title               : Problem Statement for Service Function Chaining
> Publication Date    : April 2015
> Author(s)           : P. Quinn, Ed., T. Nadeau, Ed.
> Category            : INFORMATIONAL
> Source              : Service Function Chaining
> Area                : Routing
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: RFC Errata System <[email-masked]>
Date: Thu, 26 Apr 2018 08:06:44 -0700 (PDT)

Section: 3.3

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------